Name:           nagstamon
Version:        0.9.11
Release:        %mkrel 3
Summary:        Nagios status monitor for the desktop
License:        GPLv2
Group:          Monitoring
Url:            http://nagstamon.ifw-dresden.de/
Source:         http://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon%200.9.9/Nagstamon-%{version}.tar.gz
BuildRequires:  python-devel
Requires:       pygtk2.0
Requires:       python-beautifulsoup
BuildArch:      noarch

%description
Nagstamon is a Nagios status monitor which takes place in systray or on desktop
(GNOME, KDE, Windows) as floating statusbar to inform you in realtime about the
status of your Nagios and derivatives monitored network. It allows to connect
to multiple Nagios, Icinga, Opsview, Op5, Check_MK/Multisite and Centreon
servers.

%prep
%setup -q -n Nagstamon-%{version}

#Remove embedded BeautifulSoup http://sourceforge.net/p/nagstamon/bugs/44/
rm -rf Nagstamon/BeautifulSoup.py

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install \
    --root=%{buildroot} \
    --install-lib=%{python_sitelib}

chmod +x %{buildroot}/%{python_sitelib}/Nagstamon/Server/Multisite.py
mv %{buildroot}/%{_bindir}/nagstamon.py %{buildroot}/%{_bindir}/nagstamon

# desktop stuff
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -m 644 Nagstamon/resources/nagstamon.svg \
    %{buildroot}%{_datadir}/pixmaps/nagstamon.svg
install -m 644 Nagstamon/resources/nagstamon.desktop \
    %{buildroot}/%{_datadir}/applications/nagstamon.desktop

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}/%{_datadir}/applications/nagstamon.desktop

%files
%doc ChangeLog COPYRIGHT LICENSE
%{_datadir}/pixmaps/nagstamon.svg
%{_datadir}/applications/nagstamon.desktop
%{python_sitelib}/Nagstamon
%{_bindir}/nagstamon
%{_mandir}/man1/nagstamon.1*
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.9.11-3.mga4
+ Revision: 542764
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.11-2.mga4
+ Revision: 497953
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 guillomovitch <guillomovitch> 0.9.11-1.mga4
+ Revision: 477729
- new version

* Sun Sep 01 2013 guillomovitch <guillomovitch> 0.9.10-3.mga4
+ Revision: 474075
- drop embedded beautifulsoup, use system one instead

* Fri Jul 19 2013 guillomovitch <guillomovitch> 0.9.10-2.mga4
+ Revision: 456242
- add pygtk dependency

* Wed Jul 17 2013 guillomovitch <guillomovitch> 0.9.10-1.mga4
+ Revision: 455145
- new version

* Wed Feb 06 2013 guillomovitch <guillomovitch> 0.9.9-1.mga3
+ Revision: 394817
- imported package nagstamon

